Data Hub
Watchers

List watchers

Requires scope `watchers:read`.

GET
/watchers

Requires scope watchers:read.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Query Parameters

instrument_id?string
status?string

Value in

  • "registered"
  • "watching"
  • "stopped"
  • "stale"
include_deleted?boolean|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/watchers"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "instrument_id": "string",      "instrument_display_name": "string",      "hostname": "string",      "os_info": "string",      "status": "registered",      "config_yaml": "string",      "config_checksum": "string",      "last_heartbeat_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}